# Uses of Interface
javax.imageio.event.IIOReadWarningListener

Packages that use IIOReadWarningListener
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOReadWarningListener in javax.imageio

Fields in javax.imageio with type parameters of type IIOReadWarningListener
Modifier and Type
Field
Description
`protected List<IIOReadWarningListener>`
ImageReader.`warningListeners`
A `List` of currently registered `IIOReadWarningListener`s, initialized by default to `null`, which is synonymous with an empty `List`.
Methods in javax.imageio with parameters of type IIOReadWarningListener
Modifier and Type
Method
Description
`void`
ImageReader.`addIIOReadWarningListener(IIOReadWarningListener listener)`
Adds an `IIOReadWarningListener` to the list of registered warning listeners.
`void`
ImageReader.`removeIIOReadWarningListener(IIOReadWarningListener listener)`
Removes an `IIOReadWarningListener` from the list of registered error listeners.